%define upstream_name    Net-UPnP
%define upstream_version 1.4.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for UPnP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This package provides some functions to control UPnP devices.

Currently, the package provides only functions for the control point. To
control UPnP devices, see the Net::UPnP::ControlPoint manpage.

As a sample of the control point, the package provides the
Net::UPnP::AV::MediaServer manpage to control the devices such as DLNA
media servers. As the example, please dms2vodcast.pl that converts from the
MPEG2 movies to the MPEG4 one and outputs the RSS file for Vodcasting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.4.3-3.mga6
+ Revision: 1031338
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.4.3-2.mga6
+ Revision: 966419
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.4.3-1.mga6
+ Revision: 844465
- update to 1.4.3

* Sat Oct 18 2014 umeabot <umeabot> 1.4.2-6.mga5
+ Revision: 788192
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-5.mga5
+ Revision: 744242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 685743
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.2-3.mga4
+ Revision: 513624
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.2-2.mga3
+ Revision: 370962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.4.2-1.mga1
+ Revision: 22687
- cleaning spec file
- imported package perl-Net-UPnP


* Fri Jul 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 557185
- import perl-Net-UPnP


* Fri Jul 23 2010 cpan2dist 1.4.2-1mdv
- initial mdv release, generated with cpan2dist
